import { initializeApp } from "./main.common";
import { logger } from "./utils/logger";

const platform = process.env.VITE_PLATFORM;
const pwa_enabled = process.env.VITE_PWA_ENABLED === "true";

logger.info("[Electron] Initializing app");
logger.info("[Electron] Platform:", { platform });
logger.info("[Electron] PWA enabled:", { pwa_enabled });

if (pwa_enabled) {
  logger.warn("[Electron] PWA is enabled, but not supported in electron");
}

const app = initializeApp();
app.mount("#app");
